Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Interface IGenericRequest

All Known Subinterfaces:
  IPortletRequest, IProxyRequest

All Known Implementing Classes:
  GenericRequestWrapper

public interface IGenericRequest

Method Summary
`java.lang.String` | `getLoginToken()` Returns the user’s login token from the request.
`java.net.URL` | `getRemoteAPIEndpoint()` Returns the remote API endpoint from the portal request.

Method Detail

### getLoginToken

    public java.lang.String getLoginToken()
                                   throws NotInRequestException

  Returns the user’s login token from the request. The login token can be used to access the portal as the current user. To instantiate an `IRemoteSession` object, use `IPortletContext.getRemotePortalSession()`. Note: The login token is new functionality in portal version 5.0; this method throws `ProtocolNotSupportedException` when used with any prior version of the portal.

  Returns:
    the login token
  Throws:
    `NotGatewayedException` - if the request is not gatewayed
    `ProtocolNotSupportedException` - if used with a version of the portal earlier than 5.0
    `NotInRequestException` - if the administrator has not configured the portal to send the login token to this portlet

### getRemoteAPIEndpoint

    public java.net.URL getRemoteAPIEndpoint()

  Returns the remote API endpoint from the portal request. The remote API endpoint can be used to access the portal's remote SOAP API. To instantiate an `IRemoteSession` object, use `IPortletContext.getRemotePortalSession()`. Note: The remote API endpoint is new functionality in portal version 5.0; this method throws `ProtocolNotSupportedException` when used with any prior version of the portal.

  Returns:
    the remote API endpoint or null if the portlet is run as a job
  Throws:
    `NotGatewayedException` - if the request is not gatewayed
    `ProtocolNotSupportedException` - if used with a version of the portal earlier than 5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.